Home | All Classes | Grouped Classes | Index | Search

# Class CL_LibraryManager

CL_LibraryManager class More...

Derived from: none
Derived by: none
Group: Core (Library)

#include <ClanLib/core.h>

Attributes:

Operations:

get | Retreive a maker function
add | Add a new maker function to the map
remove | Remove a maker function from the map
has | Convenient method to check if a given maker function is already in the map

Detailed description:

!group=Core/System! !header=core.h!

This a convenient class to manage all your loaded classes.

Questions or comments, write to the ClanLib mailing list.